ModernLoop Internal API
Apisentry

List recent events (error occurrences) for a Sentry issue

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/sentry/issues/string/events" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "count": 0,  "events": [    {      "eventId": "string",      "dateCreated": "string",      "message": "string",      "title": "string",      "platform": "string",      "user": {        "id": "string",        "email": "string",        "username": "string",        "ipAddress": "string"      },      "tags": [        {          "key": "string",          "value": "string"        }      ]    }  ]}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

issueId*string

Numeric Sentry issue ID (e.g. from sentry_listIssues or a Sentry URL)

Query Parameters

limit?integer

Maximum number of events to return (max 100)

Range1 <= value <= 100
Default10

Response Body

application/json

application/json

application/json

application/json

application/json